<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.3.6.1.4.1.19376.1.5.3.1.3.1
Name: Reason for Referral Section (V2)
Description: This section describes the clinical reason why a provider is sending a patient to another provider for care. The reason for referral may become the reason for visit documented by the receiving provider.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.3.6.1.4.1.19376.1.5.3.1.3.1-2014-06-09T000000">
   <title>Reason for Referral Section (V2)</title>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.3.1
Context: *[cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']]
Item: (ReasonforReferralSectionV2)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.3.1
Context: *[cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']]/cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']
Item: (ReasonforReferralSectionV2)
-->

   <rule context="*[cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']]/cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']"
         id="tmp-r-00854ad9-252d-4138-9d0d-bb4f671bc227">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1-2014-06-09T000000.html"
              test="count(cda:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1'])&gt;=1 and not(cda:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']/@nullFlavor)">(ReasonforReferralSectionV2): element cda:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1-2014-06-09T000000.html"
              test="count(cda:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1'])&lt;=1">(ReasonforReferralSectionV2): element cda:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1-2014-06-09T000000.html"
              test="count(cda:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(cda:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(ReasonforReferralSectionV2): element cda:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1-2014-06-09T000000.html"
              test="count(cda:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(ReasonforReferralSectionV2): element cda:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1-2014-06-09T000000.html"
              test="count(cda:title)&gt;=1 ">(ReasonforReferralSectionV2): element cda:title is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1-2014-06-09T000000.html"
              test="count(cda:title)&lt;=1">(ReasonforReferralSectionV2): element cda:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1-2014-06-09T000000.html"
              test="count(cda:text)&gt;=1 and not(cda:text/@nullFlavor)">(ReasonforReferralSectionV2): element cda:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1-2014-06-09T000000.html"
              test="count(cda:text)&lt;=1">(ReasonforReferralSectionV2): element cda:text komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.3.1
Context: *[cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']]/cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']/cda:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']
Item: (ReasonforReferralSectionV2)
-->

   <rule context="*[cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']]/cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']/cda:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']"
         id="tmp-r-5e3515f9-fa8e-41b7-9d5a-288e5a348de9">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1-2014-06-09T000000.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.5.3.1.3.1')">CONF:1098-10468: de waarde van @root MOET '1.3.6.1.4.1.19376.1.5.3.1.3.1' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1-2014-06-09T000000.html"
              test="string(@extension)=('2014-06-09')">CONF:1098-32571: de waarde van @extension MOET '2014-06-09' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.3.1
Context: *[cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']]/cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']/cda:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (ReasonforReferralSectionV2)
-->

   <rule context="*[cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']]/cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']/cda:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-88be683d-31a9-43ab-a5b3-bef5ba238f93">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1-2014-06-09T000000.html"
              test="@nullFlavor or (@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')">(ReasonforReferralSectionV2): de elementwaarde MOET een zijn van 'code '42349-1' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.3.1
Context: *[cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']]/cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']/cda:title
Item: (ReasonforReferralSectionV2)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.3.1
Context: *[cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']]/cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']/cda:text
Item: (ReasonforReferralSectionV2)
-->


   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.3.1
Context: *[cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']]/cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']/cda:entry[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]
Item: (ReasonforReferralSectionV2)
--></pattern>
