<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.19
Name: Indication (V2)
Description: This template represents the rationale for an action such as an encounter, a medication administration, or a procedure. The id element can be used to reference a problem recorded elsewhere in the document, or can be used with a code and value to record the problem. Indications for treatment are not laboratory results; rather the problem associated with the
                laboratory result should be sited (e.g., hypokalemia instead of a laboratory result of Potassium 2.0 mEq/L). Use the Drug Monitoring Act [[]templateId 2.16.840.1.113883.10.20.22.4.123] to indicate if a particular drug needs special monitoring (e.g., anticoagulant therapy). Use Precondition for Substance Administration (V2) [[]templateId 2.16.840.1.113883.10.20.22.4.25.2] to
                represent that a medication is to be administered only when the associated criteria are met.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000">
   <title>Indication (V2)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']]
Item: (IndicationV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']
Item: (IndicationV2)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']"
         id="tmp-r-cd3c3d88-eaf2-4771-bf49-97af16d002a7">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="string(@classCode)=('OBS')">CONF:1098-7480: de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="string(@moodCode)=('EVN')">CONF:1098-7481: de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.19'])&gt;=1 and not(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.19']/@nullFlavor)">(IndicationV2): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.19'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.19'])&lt;=1">(IndicationV2): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.19'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="count(cda:id)&gt;=1 ">(IndicationV2): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="count(cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-2014-09-02T000000.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-2014-09-02T000000.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(IndicationV2): element cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-2014-09-02T000000.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-2014-09-02T000000.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="count(cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-2014-09-02T000000.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-2014-09-02T000000.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(IndicationV2): element cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-2014-09-02T000000.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-2014-09-02T000000.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="count(cda:statusCode[@code='completed'])&gt;=1 and not(cda:statusCode[@code='completed']/@nullFlavor)">(IndicationV2): element cda:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="count(cda:statusCode[@code='completed'])&lt;=1">(IndicationV2): element cda:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="count(cda:effectiveTime)&lt;=1">(IndicationV2): element cda:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="count(cda:value)&lt;=1">(IndicationV2): element cda:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.19']
Item: (IndicationV2)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.19']"
         id="tmp-r-a07e5884-b1f4-4bc9-b20c-7626a86e5293">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.19')">CONF:1098-10502: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.19' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="string(@extension)=('2014-06-09')">CONF:1098-32570: de waarde van @extension MOET '2014-06-09' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']/cda:id
Item: (IndicationV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']/cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-2014-09-02T000000.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-2014-09-02T000000.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (IndicationV2)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']/cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-2014-09-02T000000.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-2014-09-02T000000.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-b818246d-726c-4756-9822-a3842baae566">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-2014-09-02T000000.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(IndicationV2): de elementwaarde MOET een zijn van '2.16.840.1.113883.3.88.12.3221.7.2 Problem Type (2014-09-02T00:00:00)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-2014-09-02T000000.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(IndicationV2): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.3.88.12.3221.7.2 Problem Type (2014-09-02T00:00:00).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']/cda:statusCode[@code='completed']
Item: (IndicationV2)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']/cda:statusCode[@code='completed']"
         id="tmp-r-80e4eecf-26da-433e-bb4d-91e001297786">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="@nullFlavor or (@code='completed')">(IndicationV2): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']/cda:effectiveTime
Item: (IndicationV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']/cda:value
Item: (IndicationV2)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']/cda:value"
         id="tmp-r-28a0b9de-f057-44d1-a9e4-e7944c11c765">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(IndicationV2): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.4-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(IndicationV2): de elementwaarde MOET een zijn van '2.16.840.1.113883.3.88.12.3221.7.4 Problem (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.4-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(IndicationV2): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.3.88.12.3221.7.4 Problem (DYNAMISCH).</assert>
   </rule>
</pattern>
