<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.2
Name: Result Observation
Description: This clinical statement represents details of a lab, radiology, or other study performed on a patient. The result observation includes a statusCode to allow recording the status of an observation. If a Result Observation is not completed, the Result Organizer must include corresponding statusCode. “Pending” results (e.g., a test has been run but results have not
                been reported yet) should be represented as “active” ActStatus.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000">
   <title>Result Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]
Item: (ResultObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']
Item: (ResultObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']"
         id="tmp-r-cc31b780-44c4-4e15-a3ad-caa6a362bdcc">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="string(@classCode)=('OBS')">conf-7130: de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="string(@moodCode)=('EVN')">conf-7131: de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.2'])&gt;=1 and not(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.2']/@nullFlavor)">(ResultObservation): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.2'])&lt;=1">(ResultObservation): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:id)&gt;=1 ">(ResultObservation): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:code)&gt;=1 ">(ResultObservation): element cda:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:code)&lt;=1">(ResultObservation): element cda:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:text)&lt;=1">(ResultObservation): element cda:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:statusCode)&gt;=1 and not(cda:statusCode/@nullFlavor)">(ResultObservation): element cda:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:statusCode)&lt;=1">(ResultObservation): element cda:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:effectiveTime)&gt;=1 ">(ResultObservation): element cda:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:effectiveTime)&lt;=1">(ResultObservation): element cda:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:value)&gt;=1 ">(ResultObservation): element cda:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:value)&lt;=1">(ResultObservation): element cda:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:methodCode)&lt;=1">(ResultObservation): element cda:methodCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:targetSiteCode)&lt;=1">(ResultObservation): element cda:targetSiteCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:author)&lt;=1">(ResultObservation): element cda:author komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.2']
Item: (ResultObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.2']"
         id="tmp-r-0a3019c2-37bf-40bc-8fa0-c9a50ba1b7c6">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.2')">conf-9138: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.2' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:id
Item: (ResultObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:code
Item: (ResultObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:text
Item: (ResultObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:text"
         id="tmp-r-7e972e45-236e-4355-b9d4-a7f262f10bf3">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:reference)&lt;=1">(ResultObservation): element cda:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:text/cda:reference
Item: (ResultObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:text/cda:reference"
         id="tmp-r-95cbc35e-ae33-4dbd-8e5a-9631260e4133">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="not(@value) or starts-with(@value, '#')">(ResultObservation): This reference/@value SHALL begin with a '#' and SHALL point to its corresponding narrative (using the approach defined in CDA Release 2, section 4.3.5.1)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:statusCode
Item: (ResultObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:statusCode"
         id="tmp-r-62e0058e-2c58-4ec7-b4e3-0a1554167b96">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:effectiveTime
Item: (ResultObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:value
Item: (ResultObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:interpretationCode
Item: (ResultObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:methodCode
Item: (ResultObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:methodCode"
         id="tmp-r-44a074ad-92a7-462a-8191-6022c42c7fcd">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:targetSiteCode
Item: (ResultObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:targetSiteCode"
         id="tmp-r-ad603ce2-77cb-4395-bf00-051949c73d9a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author
Item: (ResultObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:referenceRange
Item: (ResultObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:referenceRange"
         id="tmp-r-d4d16eb9-10c7-4eb9-9e74-ff60daab2ea9">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:observationRange)&gt;=1 and not(cda:observationRange/@nullFlavor)">(ResultObservation): element cda:observationRange is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:observationRange)&lt;=1">(ResultObservation): element cda:observationRange komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:referenceRange/cda:observationRange
Item: (ResultObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:referenceRange/cda:observationRange"
         id="tmp-r-949cf1e9-44f0-461e-bcbb-97acea94f32c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:code)=0">(ResultObservation): element cda:code MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:referenceRange/cda:observationRange/cda:code
Item: (ResultObservation)
-->
</pattern>
