<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.5
Name: Health Status Observation
Description: The Health Status Observation records information about the current health status of the patient.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000">
   <title>Health Status Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]
Item: (HealthStatusObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']
Item: (HealthStatusObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']"
         id="tmp-r-b879cca3-1e2f-47ee-bf55-71345fe4f0ab">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="string(@classCode)=('OBS')">conf-9057: de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="string(@moodCode)=('EVN')">conf-9072: de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.5'])&gt;=1 and not(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.5']/@nullFlavor)">(HealthStatusObservation): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.5'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.5'])&lt;=1">(HealthStatusObservation): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.5'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:code[(@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(cda:code[(@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(HealthStatusObservation): element cda:code[(@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:code[(@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(HealthStatusObservation): element cda:code[(@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:text)&lt;=1">(HealthStatusObservation): element cda:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:statusCode[@code='completed'])&gt;=1 and not(cda:statusCode[@code='completed']/@nullFlavor)">(HealthStatusObservation): element cda:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:statusCode[@code='completed'])&lt;=1">(HealthStatusObservation): element cda:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(HealthStatusObservation): element cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(HealthStatusObservation): element cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.5']
Item: (HealthStatusObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.5']"
         id="tmp-r-5cfeda8e-f0e9-47ae-a6ad-79e7d92876b4">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.5')">conf-16757: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.5' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:code[(@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (HealthStatusObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:code[(@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-45ef6664-e11a-479a-a464-beea5a28a6d2">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="@nullFlavor or (@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')">(HealthStatusObservation): de elementwaarde MOET een zijn van 'code '11323-3' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:text
Item: (HealthStatusObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:text"
         id="tmp-r-d45bb426-e900-4dc2-8470-e000a1106125">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:reference)&lt;=1">(HealthStatusObservation): element cda:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:text/cda:reference
Item: (HealthStatusObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:text/cda:reference"
         id="tmp-r-424f28be-71df-4bd6-8b62-cce88fd3b1e9">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="not(@value) or starts-with(@value, '#')">(HealthStatusObservation): SHALL begin with a '#' and SHALL point to its corresponding narrative (using the approach defined in CDA Release 2, section 4.3.5.1)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:statusCode[@code='completed']
Item: (HealthStatusObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:statusCode[@code='completed']"
         id="tmp-r-252eaec3-77fa-41aa-b214-1f01030fb370">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HealthStatusObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="@nullFlavor or (@code='completed')">(HealthStatusObservation): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (HealthStatusObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-694461c2-9550-4b19-a07e-a3c82ff6dc36">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HealthStatusObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(HealthStatusObservation): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.20.12 HealthStatus (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(HealthStatusObservation): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.1.11.20.12 HealthStatus (DYNAMISCH).</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/*[not(self::cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5'])]"
         id="tmp-r-07ad2dc5-f3b1-40a6-9184-f96905ecf7ff">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="not(.)">(HealthStatusObservation): '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan, of niet toegestaan met deze inhoud. Mogelijk betreft dit het templateId, code, of id. (rule-reference: tmp-r-07ad2dc5-f3b1-40a6-9184-f96905ecf7ff)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/*[not(self::cda:templateId[@root='2.16.840.1.113883.10.20.22.4.5']|self::cda:code[(@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')]|self::cda:text|self::cda:statusCode[@code='completed']|self::cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])]"
         id="tmp-r-ca8a6017-b4d7-4c0b-809e-747e7131f31f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="not(.)">(HealthStatusObservation): '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan, of niet toegestaan met deze inhoud. Mogelijk betreft dit het templateId, code, of id. (rule-reference: tmp-r-ca8a6017-b4d7-4c0b-809e-747e7131f31f)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:text/*[not(self::cda:reference)]"
         id="tmp-r-6d70bcc6-dbb4-4b3f-980c-26d816a26ba3">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="not(.)">(HealthStatusObservation): '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan, of niet toegestaan met deze inhoud. Mogelijk betreft dit het templateId, code, of id. (rule-reference: tmp-r-6d70bcc6-dbb4-4b3f-980c-26d816a26ba3)</assert>
   </rule>
</pattern>
