<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.6
Name: Problem Status
Description: The Problem Status records whether the indicated problem is active, inactive, or resolved.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000">
   <title>Problem Status</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.6
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]
Item: (ProblemStatus)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.6
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']
Item: (ProblemStatus)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']"
         id="tmp-r-84297296-4107-4d28-9af3-00a4df915ffd">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="string(@classCode)=('OBS')">conf-7357: de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="string(@moodCode)=('EVN')">conf-7358: de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.6'])&gt;=1 and not(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.6']/@nullFlavor)">(ProblemStatus): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.6'])&lt;=1">(ProblemStatus): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="count(cda:code[(@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(cda:code[(@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(ProblemStatus): element cda:code[(@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="count(cda:code[(@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(ProblemStatus): element cda:code[(@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="count(cda:text)&lt;=1">(ProblemStatus): element cda:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="count(cda:statusCode[@code='completed'])&gt;=1 and not(cda:statusCode[@code='completed']/@nullFlavor)">(ProblemStatus): element cda:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="count(cda:statusCode[@code='completed'])&lt;=1">(ProblemStatus): element cda:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="count(cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(ProblemStatus): element cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="count(cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(ProblemStatus): element cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.6
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.6']
Item: (ProblemStatus)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.6']"
         id="tmp-r-6ab41200-51b6-4a6f-bc95-7c13bac1e768">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.6')">conf-10518: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.6' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.6
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:code[(@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (ProblemStatus)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:code[(@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-fd06f16c-ecda-40f6-b0dd-76085b2b42dd">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="@nullFlavor or (@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')">(ProblemStatus): de elementwaarde MOET een zijn van 'code '33999-4' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.6
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:text
Item: (ProblemStatus)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:text"
         id="tmp-r-5826ead8-7ba9-4586-8603-4ac8bfb9920d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="count(cda:reference)&lt;=1">(ProblemStatus): element cda:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.6
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:text/cda:reference
Item: (ProblemStatus)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:text/cda:reference"
         id="tmp-r-ac51bd74-2c5f-482a-a392-02fe96cf9e22">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="@value">conf-15594: attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="not(@value) or starts-with(@value, '#')">(ProblemStatus): This reference/@value SHALL begin with a '#' and SHALL point to its corresponding narrative (using the approach defined in CDA Release 2, section 4.3.5.1)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.6
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:statusCode[@code='completed']
Item: (ProblemStatus)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:statusCode[@code='completed']"
         id="tmp-r-a673ad59-3bff-46bc-8193-bae6e7f4cdff">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemStatus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="@nullFlavor or (@code='completed')">(ProblemStatus): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.6
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (ProblemStatus)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-6513a3b5-8b99-4b55-b17f-3df97558fbd6">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemStatus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(ProblemStatus): de elementwaarde MOET een zijn van '2.16.840.1.113883.3.88.12.80.68 Problem Status (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(ProblemStatus): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.3.88.12.80.68 Problem Status (DYNAMISCH).</assert>
   </rule>
</pattern>
